#!/bin/bash

# set VERSION
eval $(grep '^\s*VERSION=' mozilla-firefox-l10n.SlackBuild)
MAINVER="${VERSION%%.*}esr"
URL=http://download-installer.cdn.mozilla.net/pub/firefox/releases/$VERSION/linux-i686/xpi/
pkgdir=firefox-xpi-$MAINVER
pkgname=${pkgdir}.tar.xz

rm -rf ${pkgdir} ${pkgname}
mkdir ${pkgdir}
cd ${pkgdir}
wget -r -l1 -nd -A '*.xpi' "$URL"

cd ..
tar -cf - ${pkgdir} | xz - > ${pkgname}
rm -rf ${pkgdir}
